Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class SyncMappedList

    java.lang.Object
      de.grogra.pf.ui.tree.SyncMappedList

All Implemented Interfaces:
  Synchronizer.Callback, java.util.EventListener, javax.swing.event.ListDataListener, javax.swing.ListModel

    public class SyncMappedList

extends java.lang.Object
implements Synchronizer.Callback, javax.swing.event.ListDataListener, javax.swing.ListModel

Field Summary
`protected javax.swing.ListModel` | `source`
`protected Synchronizer` | `sync`

Constructor Summary
`SyncMappedList(javax.swing.ListModel source, Synchronizer sync)`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`void` | `contentsChanged(javax.swing.event.ListDataEvent e)`
`protected void` | `fireContentsChanged(int a, int b)`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `intervalAdded(javax.swing.event.ListDataEvent e)`
`void` | `intervalRemoved(javax.swing.event.ListDataEvent e)`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`java.lang.Object` | `run(int action, int iarg, java.lang.Object oarg1, java.lang.Object oarg2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected final javax.swing.ListModel source

### sync

    protected final Synchronizer sync

Constructor Detail

### SyncMappedList

    public SyncMappedList(javax.swing.ListModel source,
                          Synchronizer sync)

Method Detail

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### contentsChanged

    public void contentsChanged(javax.swing.event.ListDataEvent e)

  Specified by:
    `contentsChanged` in interface `javax.swing.event.ListDataListener`

### fireContentsChanged

    protected void fireContentsChanged(int a,
                                       int b)

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### intervalAdded

    public void intervalAdded(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalAdded` in interface `javax.swing.event.ListDataListener`

### intervalRemoved

    public void intervalRemoved(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalRemoved` in interface `javax.swing.event.ListDataListener`

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

### run

    public java.lang.Object run(int action,
                                int iarg,
                                java.lang.Object oarg1,
                                java.lang.Object oarg2)

  Specified by:
    `run` in interface `Synchronizer.Callback`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD